tween = require 'libraries/tween'
timer = require 'libraries/hump/timer'
gamestate = require 'libraries/hump/gamestate'

require 'states/battle'

function love.load()
	math.randomseed(os.time())
	math.random() math.random() math.random()
	
	font_damage = love.graphics.newFont(40)

	gamestate.registerEvents()
	enemytype = 'slime'
	battle_xshift = 100
	battle_yshift = 450
	gamestate.switch(battle)
end

function love.update(dt)
	tween.update(dt)
	timer.update(dt)
end